About
=====

comt is an open source web application for annotating, discussing and
writing texts online.

It's the software that powers the [co-ment web
service](http://www.co-ment.com).

Screenshots
===========

<img src="http://www.co-ment.com/wp-content/uploads/2010/02/01_dashboard.png" style="max-width: 600px;">

<img src="http://www.co-ment.com/wp-content/uploads/2010/03/mpl_revision.png" style="max-width: 600px;">

Important note about this version
=================================

This is version 2.6, the last one of the 2.x branch.

We don't intend to do further development on it, except fo bug fixes.

If you're interested in the project, either as a user or a potential
contributor, we recommend you try the upcoming 3.0 releases.

Features
========

Annotate, discuss, (re)write…
-----------------------------

… are the three main functions of comt. They open many possible uses:
school, corporate, legal, advocacy…

Import cares for compatibility
------------------------------

The import module of comt is compatible with many document formats to
let you import your existing texts into the site.

Text editor inside
------------------

You can create new texts or edit your previously uploaded ones through
the text editor integrated into comt. To organize your text, choose
between 3 languages: the extended pandoc flavor of markdown
(recommended), HTML or RST.

Export to good-looking printable formats
----------------------------------------

Simplified formatting of text in comt allows a high quality export.

Several formats are available for export: PDF, Open Office, MS Word,
LaTex and HTML.

A text’s life
-------------

You can edit your text, taking in account modification proposals from
commentators for example. comt allows version management. You can switch
back to a previous version any time and visualize changes between any
two versions. When you create a new one, you can keep the received
comments or discard them.

Contributor and role management
-------------------------------

Create a working group easily around a text or a set of texts. Invite
your contributors on the fly and give them a common role or give some of
them a specific role: observer, commentator, moderator, editor or
manager.

RSS feed, e-mail: choose your alert tool
----------------------------------------

To be alerted of new contributions to a text (new comment, new version),
a RSS feed and an e-mail alert system are provided for each text.

The workspace
-------------

comt’s workspace gives you a global view of your group’s activity
(comments, new subscribers, new texts…) and a direct access to the
contents.

You have a real-time view of your working group members, texts and
comments through the dashboard portlets. A precious tool for managing a
project in a paperless environment.

Activity-meter
--------------

You can view your group’s activity at different levels (global, for a
specific text or member). You can adjust the graph’s time-frame: day,
week or month.

Browse through comments easily
------------------------------

What if your text receives a lot of comments? You can display or browse
them according to the part of the text commented, their date of arrival,
their author or their tags.

Technology
==========

comt is based on Django on the back-end, with PostgreSQL, MySQL and
Sqlite3 as supported dababases, and YUI on the front-end.

License
=======

GNU AFFERO GENERAL PUBLIC LICENSE (<http://www.gnu.org/licenses/agpl.html>)
for software files

CC-BY (<http://creativecommons.org/licenses/by/3.0/>) for translation files

Installation
============

See the `INSTALL.md` file.

More information
================

-   [The co-ment.com site](http://www.co-ment.com/).
-   [The GitHub project](https://github.com/co-ment/comt).
-   [Development mailing list](https://groups.google.com/forum/#!forum/comt-dev).

